Bug 1539258 - lots and lots of gjs stacktraces when using gnome-shell
Summary: lots and lots of gjs stacktraces when using gnome-shell
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-27 11:33 UTC by Fabio Valentini
Modified: 2019-05-28 19:24 UTC (History)
70 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 19:24:55 UTC
Type: Bug


Attachments (Terms of Use)
Patch to stop spaming the loglile (2.42 KB, patch)
2018-05-08 12:53 UTC, Soeren Grunewald
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
GNOME Bugzilla 791233 0 Normal RESOLVED Various Javascript errors in accessing deleted object properties 2020-09-03 16:12:09 UTC
Launchpad 1747566 0 None None None 2018-03-02 19:37:22 UTC

Internal Links: 1541933

Description Fabio Valentini 2018-01-27 11:33:30 UTC
Description of problem:
Watching the systemd journal with "journalctl -xb --follow" and using gnome-shell, you can see stack traces flying by. They usually look like this:

gnome-shell[1981]: Object St.BoxLayout (0x5603b05ffc50), has been already finalized. Impossible to get any property from it.
org.gnome.Shell.desktop[1981]: == Stack trace for context 0x5603ab329170 ==
org.gnome.Shell.desktop[1981]: #0 0x7ffd99df2850 b   resource:///org/gnome/shell/ui/tweener.js:73 (0x7f0d5c1ddef0 @ 9)
org.gnome.Shell.desktop[1981]: #1 0x7ffd99df28f0 b   resource:///org/gnome/shell/ui/tweener.js:105 (0x7f0d5c1df230 @ 36)
org.gnome.Shell.desktop[1981]: #2 0x7ffd99df2990 b   resource:///org/gnome/shell/ui/tweener.js:92 (0x7f0d5c1df098 @ 52)
org.gnome.Shell.desktop[1981]: #3 0x7ffd99df3560 I   resource:///org/gnome/gjs/modules/tweener/tweener.js:203 (0x7f0d5c1e9cd0 @ 54)
org.gnome.Shell.desktop[1981]: #4 0x7ffd99df36b0 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:332 (0x7f0d5c1e9d58 @ 1626)
org.gnome.Shell.desktop[1981]: #5 0x7ffd99df3760 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:345 (0x7f0d5c1e9de0 @ 100)
org.gnome.Shell.desktop[1981]: #6 0x7ffd99df37f0 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:360 (0x7f0d5c1e9e68 @ 10)
org.gnome.Shell.desktop[1981]: #7 0x7ffd99df3870 I   resource:///org/gnome/gjs/modules/signals.js:126 (0x7f0d5c1e2b38 @ 386)
org.gnome.Shell.desktop[1981]: #8 0x7ffd99df3920 b   resource:///org/gnome/shell/ui/tweener.js:208 (0x7f0d5c1df808 @ 159)
org.gnome.Shell.desktop[1981]: #9 0x7ffd99df3980 I   resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7f0d5c1c2bc0 @ 71)
org.gnome.Shell.desktop[1981]: #10 0x7ffd99df3980 I   resource:///org/gnome/shell/ui/tweener.js:183 (0x7f0d5c1df780 @ 20)
org.gnome.Shell.desktop[1981]: #11 0x7ffd99df3a10 I   self-hosted:917 (0x7f0d5c1ee5e8 @ 394)
org.gnome.Shell.desktop[1981]: == Stack trace for context 0x5603ab329170 ==
org.gnome.Shell.desktop[1981]: #0 0x7ffd99df2850 b   resource:///org/gnome/shell/ui/tweener.js:80 (0x7f0d5c1ddef0 @ 82)
org.gnome.Shell.desktop[1981]: #1 0x7ffd99df28f0 b   resource:///org/gnome/shell/ui/tweener.js:105 (0x7f0d5c1df230 @ 36)
org.gnome.Shell.desktop[1981]: #2 0x7ffd99df2990 b   resource:///org/gnome/shell/ui/tweener.js:92 (0x7f0d5c1df098 @ 52)
org.gnome.Shell.desktop[1981]: #3 0x7ffd99df3560 I   resource:///org/gnome/gjs/modules/tweener/tweener.js:203 (0x7f0d5c1e9cd0 @ 54)
org.gnome.Shell.desktop[1981]: #4 0x7ffd99df36b0 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:332 (0x7f0d5c1e9d58 @ 1626)
org.gnome.Shell.desktop[1981]: #5 0x7ffd99df3760 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:345 (0x7f0d5c1e9de0 @ 100)
org.gnome.Shell.desktop[1981]: #6 0x7ffd99df37f0 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:360 (0x7f0d5c1e9e68 @ 10)
org.gnome.Shell.desktop[1981]: #7 0x7ffd99df3870 I   resource:///org/gnome/gjs/modules/signals.js:126 (0x7f0d5c1e2b38 @ 386)



Version-Release number of selected component (if applicable):
gnome-shell-3.26.2-4.fc27.x86_64
gjs-1.50.3-1.fc27.x86_64
mozjs52-52.6.0-1.fc27.x86_64


How reproducible:
Always.


Steps to Reproduce:
1. Open journal in a terminal window
2. open, close, switch between windows
3. see many many track traces in the logs


Actual results:
See warnings about getting/setting properties on already finalized objects (use-after-free warnings?).

Expected results:
Nothing to see.

Comment 1 sixpack13 2018-01-28 02:55:31 UTC
I see this as well

Comment 2 Samuel Sieb 2018-01-28 23:23:00 UTC
I can't correlate it with any extensions.  I tried to disable all of them and I still get these traces.  They seem to happen when alt-tabbing and switching workspaces.

Comment 3 sixpack13 2018-01-29 02:37:27 UTC
yup, it is also simply triggered by doing:

- open a terminal
- run journalctl -f in it
- open from the terminal menu a new terminal (not a tabbed terminal)
- close this second terminal

Comment 4 Michael Chapman 2018-01-29 21:43:45 UTC
Additional logging was added to gjs in https://gitlab.gnome.org/GNOME/gjs/merge_requests/22 to help find where applications are accessing deleted JavaScript objects.

For gnome-shell, https://gitlab.gnome.org/GNOME/gnome-shell/merge_requests/4 might help.

Comment 5 Jorge Martínez López 2018-02-04 18:08:48 UTC
It seems to be causing my system to become excruciatingly slow to the point of needing the Magic Sysrq key to recover from it:

Feb 04 16:36:41  gnome-shell[1163]: Object Clutter.Clone (0x562872832a60), has been already finalized. Impossible to get any property from it.
Feb 04 16:36:41  org.gnome.Shell.desktop[1163]: == Stack trace for context 0x562871244000 ==
Feb 04 16:36:41  org.gnome.Shell.desktop[1163]: #0 0x562871514a28 i   resource:///org/gnome/shell/ui/tweener.js:73 (0x7ff5fc3ddef0 @ 9)
Feb 04 16:36:41  org.gnome.Shell.desktop[1163]: #1 0x5628715149a8 i   resource:///org/gnome/shell/ui/tweener.js:105 (0x7ff5fc3df230 @ 36)
Feb 04 16:36:41  org.gnome.Shell.desktop[1163]: #2 0x562871514920 i   resource:///org/gnome/shell/ui/tweener.js:92 (0x7ff5fc3df098 @ 52)
Feb 04 16:36:41  org.gnome.Shell.desktop[1163]: #3 0x7ffc803c0610 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:203 (0x7ff5fc3e9cd0 @ 54)
Feb 04 16:36:41  org.gnome.Shell.desktop[1163]: #4 0x7ffc803c0760 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:332 (0x7ff5fc3e9d58 @ 1626)
Feb 04 16:36:41  org.gnome.Shell.desktop[1163]: #5 0x7ffc803c0810 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:345 (0x7ff5fc3e9de0 @ 100)
Feb 04 16:36:41  org.gnome.Shell.desktop[1163]: #6 0x7ffc803c08a0 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:360 (0x7ff5fc3e9e68 @ 10)
Feb 04 16:36:41  org.gnome.Shell.desktop[1163]: #7 0x7ffc803c0990 b   resource:///org/gnome/gjs/modules/signals.js:126 (0x7ff5fc3e2b38 @ 386)
Feb 04 16:36:41  org.gnome.Shell.desktop[1163]: #8 0x7ffc803c0a40 b   resource:///org/gnome/shell/ui/tweener.js:208 (0x7ff5fc3df808 @ 159)
Feb 04 16:36:41  org.gnome.Shell.desktop[1163]: #9 0x7ffc803c0aa0 I   resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7ff5fc3c2bc0 @ 71)
Feb 04 16:36:41  org.gnome.Shell.desktop[1163]: #10 0x7ffc803c0b50 b   resource:///org/gnome/shell/ui/tweener.js:183 (0x7ff5fc3df780 @ 20)
Feb 04 16:36:41  org.gnome.Shell.desktop[1163]: #11 0x7ffc803c0c20 b   self-hosted:917 (0x7ff5fc3ee5e8 @ 394)
Feb 04 16:36:41  org.gnome.Shell.desktop[1163]: == Stack trace for context 0x562871244000 ==
Feb 04 16:36:41  org.gnome.Shell.desktop[1163]: #0 0x562871514a28 i   resource:///org/gnome/shell/ui/tweener.js:80 (0x7ff5fc3ddef0 @ 82)
Feb 04 16:36:41  org.gnome.Shell.desktop[1163]: #1 0x5628715149a8 i   resource:///org/gnome/shell/ui/tweener.js:105 (0x7ff5fc3df230 @ 36)
Feb 04 16:36:41  org.gnome.Shell.desktop[1163]: #2 0x562871514920 i   resource:///org/gnome/shell/ui/tweener.js:92 (0x7ff5fc3df098 @ 52)
Feb 04 16:36:41  org.gnome.Shell.desktop[1163]: #3 0x7ffc803c0610 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:203 (0x7ff5fc3e9cd0 @ 54)
Feb 04 16:36:41  org.gnome.Shell.desktop[1163]: #4 0x7ffc803c0760 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:332 (0x7ff5fc3e9d58 @ 1626)
Feb 04 16:36:41  org.gnome.Shell.desktop[1163]: #5 0x7ffc803c0810 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:345 (0x7ff5fc3e9de0 @ 100)
Feb 04 16:36:41  org.gnome.Shell.desktop[1163]: #6 0x7ffc803c08a0 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:360 (0x7ff5fc3e9e68 @ 10)
Feb 04 16:36:41  org.gnome.Shell.desktop[1163]: #7 0x7ffc803c0990 b   resource:///org/gnome/gjs/modules/signals.js:126 (0x7ff5fc3e2b38 @ 386)
Feb 04 16:36:41  gnome-shell[1163]: Object Clutter.Clone (0x562872832a60), has been already finalized. Impossible to set any property to it.
Feb 04 16:36:41  org.gnome.Shell.desktop[1163]: #8 0x7ffc803c0a40 b   resource:///org/gnome/shell/ui/tweener.js:208 (0x7ff5fc3df808 @ 159)
Feb 04 16:36:41  org.gnome.Shell.desktop[1163]: #9 0x7ffc803c0aa0 I   resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7ff5fc3c2bc0 @ 71)
Feb 04 16:36:41  org.gnome.Shell.desktop[1163]: #10 0x7ffc803c0b50 b   resource:///org/gnome/shell/ui/tweener.js:183 (0x7ff5fc3df780 @ 20)
Feb 04 16:36:41  org.gnome.Shell.desktop[1163]: #11 0x7ffc803c0c20 b   self-hosted:917 (0x7ff5fc3ee5e8 @ 394)

Comment 6 Jan Vlug 2018-02-05 08:52:12 UTC
I'm confirming this as well.
I am also surprised that these stack traces are not detected for automatic report by Gnome ABRT. Should I file a separate bug for that?

Comment 7 Samuel Sieb 2018-02-07 04:59:35 UTC
For anyone that wants to get rid of these traces, install the version of gjs from https://koji.fedoraproject.org/koji/buildinfo?buildID=993265 and exclude gjs if you do updates.

Comment 8 Louis Abel 2018-02-21 16:32:42 UTC
I'm getting the same stacktraces.

# rpm -q gjs
gjs-1.50.4-1.fc27.x86_64

Feb 21 09:28:49 diurne.chotel.com org.gnome.Shell.desktop[2479]: == Stack trace for context 0x563b7b1d2170 =
= 
Feb 21 09:28:49 diurne.chotel.com org.gnome.Shell.desktop[2479]: #0 0x7fffbe1bd7a0 I   resource:///org/gnome
/shell/ui/tweener.js:80 (0x7fdb8c3ddef0 @ 82) 
Feb 21 09:28:49 diurne.chotel.com org.gnome.Shell.desktop[2479]: #1 0x7fffbe1bd840 b   resource:///org/gnome
/shell/ui/tweener.js:105 (0x7fdb8c3df230 @ 36) 
Feb 21 09:28:49 diurne.chotel.com org.gnome.Shell.desktop[2479]: #2 0x7fffbe1bd880 I   resource:///org/gnome
/shell/ui/tweener.js:92 (0x7fdb8c3df098 @ 52) 
Feb 21 09:28:49 diurne.chotel.com org.gnome.Shell.desktop[2479]: #3 0x7fffbe1be3e0 I   resource:///org/gnome
/gjs/modules/tweener/tweener.js:203 (0x7fdb8c3e9cd0 @ 54) 
Feb 21 09:28:49 diurne.chotel.com org.gnome.Shell.desktop[2479]: #4 0x7fffbe1be530 b   resource:///org/gnome
/gjs/modules/tweener/tweener.js:332 (0x7fdb8c3e9d58 @ 1626) 
Feb 21 09:28:49 diurne.chotel.com org.gnome.Shell.desktop[2479]: #5 0x7fffbe1be5e0 b   resource:///org/gnome
/gjs/modules/tweener/tweener.js:345 (0x7fdb8c3e9de0 @ 100) 
Feb 21 09:28:49 diurne.chotel.com org.gnome.Shell.desktop[2479]: #6 0x7fffbe1be670 b   resource:///org/gnome
/gjs/modules/tweener/tweener.js:360 (0x7fdb8c3e9e68 @ 10) 
Feb 21 09:28:49 diurne.chotel.com org.gnome.Shell.desktop[2479]: #7 0x7fffbe1be6f0 I   resource:///org/gnome
/gjs/modules/signals.js:126 (0x7fdb8c3e2b38 @ 386) 
Feb 21 09:28:49 diurne.chotel.com gnome-shell[2479]: Object St.BoxLayout (0x563b82872850), has been already
finalized. Impossible to set any property to it. 
Feb 21 09:28:49 diurne.chotel.com org.gnome.Shell.desktop[2479]: #8 0x7fffbe1be740 I   resource:///org/gnome
/shell/ui/tweener.js:208 (0x7fdb8c3df808 @ 159) 
Feb 21 09:28:49 diurne.chotel.com org.gnome.Shell.desktop[2479]: #9 0x7fffbe1be7a0 I   resource:///org/gnome
/gjs/modules/_legacy.js:82 (0x7fdb8c3c2bc0 @ 71) 
Feb 21 09:28:49 diurne.chotel.com org.gnome.Shell.desktop[2479]: #10 0x7fffbe1be7a0 I   resource:///org/gnom
e/shell/ui/tweener.js:183 (0x7fdb8c3df780 @ 20) 
Feb 21 09:28:49 diurne.chotel.com org.gnome.Shell.desktop[2479]: #11 0x7fffbe1be830 I   self-hosted:917 (0x7
fdb8c3ee5e8 @ 394)

Comment 9 Michal Ambroz 2018-05-07 17:35:00 UTC
Seems to be issue even in the Fedora 28 
Reinstalling     : gjs-1.52.2-1.fc28.x86_64

May 07 19:34:31 czchown9018619.prg-dc.dhl.com gnome-shell[8644]: Object Shell.GenericContainer (0x561ac368d450), has been already finalized. Impossible to get any property from it.
May 07 19:34:31 czchown9018619.prg-dc.dhl.com org.gnome.Shell.desktop[8644]: == Stack trace for context 0x561abecb0080 ==
May 07 19:34:31 czchown9018619.prg-dc.dhl.com org.gnome.Shell.desktop[8644]: #0 0x7fff535c3850 b   resource:///org/gnome/shell/ui/tweener.js:73 (0x7f39680c7cd0 @ 9)
May 07 19:34:31 czchown9018619.prg-dc.dhl.com org.gnome.Shell.desktop[8644]: #1 0x7fff535c38f0 b   resource:///org/gnome/shell/ui/tweener.js:105 (0x7f39680c7f78 @ 36)
May 07 19:34:31 czchown9018619.prg-dc.dhl.com org.gnome.Shell.desktop[8644]: #2 0x7fff535c3990 b   resource:///org/gnome/shell/ui/tweener.js:92 (0x7f39680c7de0 @ 52)
May 07 19:34:31 czchown9018619.prg-dc.dhl.com org.gnome.Shell.desktop[8644]: #3 0x7fff535c4570 I   resource:///org/gnome/gjs/modules/tweener/tweener.js:208 (0x7f39680d2918 @ 54)
May 07 19:34:31 czchown9018619.prg-dc.dhl.com org.gnome.Shell.desktop[8644]: #4 0x7fff535c46c0 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:337 (0x7f39680d29a0 @ 1626)
May 07 19:34:31 czchown9018619.prg-dc.dhl.com org.gnome.Shell.desktop[8644]: #5 0x7fff535c4770 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:350 (0x7f39680d2a28 @ 100)
May 07 19:34:31 czchown9018619.prg-dc.dhl.com org.gnome.Shell.desktop[8644]: #6 0x7fff535c4800 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:365 (0x7f39680d2ab0 @ 10)
May 07 19:34:31 czchown9018619.prg-dc.dhl.com org.gnome.Shell.desktop[8644]: #7 0x7fff535c4880 I   resource:///org/gnome/gjs/modules/signals.js:128 (0x7f39680cff78 @ 386)
May 07 19:34:31 czchown9018619.prg-dc.dhl.com org.gnome.Shell.desktop[8644]: #8 0x7fff535c4930 b   resource:///org/gnome/shell/ui/tweener.js:207 (0x7f39680cf5e8 @ 159)
May 07 19:34:31 czchown9018619.prg-dc.dhl.com org.gnome.Shell.desktop[8644]: #9 0x7fff535c4990 I   resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7f39680b5de0 @ 71)
May 07 19:34:31 czchown9018619.prg-dc.dhl.com org.gnome.Shell.desktop[8644]: #10 0x7fff535c4a30 b   resource:///org/gnome/shell/ui/tweener.js:182 (0x7f39680cf560 @ 15)
May 07 19:34:31 czchown9018619.prg-dc.dhl.com org.gnome.Shell.desktop[8644]: == Stack trace for context 0x561abecb0080 ==
May 07 19:34:31 czchown9018619.prg-dc.dhl.com org.gnome.Shell.desktop[8644]: #0 0x7fff535c3850 b   resource:///org/gnome/shell/ui/tweener.js:80 (0x7f39680c7cd0 @ 82)
May 07 19:34:31 czchown9018619.prg-dc.dhl.com org.gnome.Shell.desktop[8644]: #1 0x7fff535c38f0 b   resource:///org/gnome/shell/ui/tweener.js:105 (0x7f39680c7f78 @ 36)
May 07 19:34:31 czchown9018619.prg-dc.dhl.com org.gnome.Shell.desktop[8644]: #2 0x7fff535c3990 b   resource:///org/gnome/shell/ui/tweener.js:92 (0x7f39680c7de0 @ 52)
May 07 19:34:31 czchown9018619.prg-dc.dhl.com org.gnome.Shell.desktop[8644]: #3 0x7fff535c4570 I   resource:///org/gnome/gjs/modules/tweener/tweener.js:208 (0x7f39680d2918 @ 54)
May 07 19:34:31 czchown9018619.prg-dc.dhl.com org.gnome.Shell.desktop[8644]: #4 0x7fff535c46c0 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:337 (0x7f39680d29a0 @ 1626)
May 07 19:34:31 czchown9018619.prg-dc.dhl.com org.gnome.Shell.desktop[8644]: #5 0x7fff535c4770 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:350 (0x7f39680d2a28 @ 100)
May 07 19:34:31 czchown9018619.prg-dc.dhl.com org.gnome.Shell.desktop[8644]: #6 0x7fff535c4800 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:365 (0x7f39680d2ab0 @ 10)
May 07 19:34:31 czchown9018619.prg-dc.dhl.com org.gnome.Shell.desktop[8644]: #7 0x7fff535c4880 I   resource:///org/gnome/gjs/modules/signals.js:128 (0x7f39680cff78 @ 386)
May 07 19:34:31 czchown9018619.prg-dc.dhl.com org.gnome.Shell.desktop[8644]: #8 0x7fff535c4930 b   resource:///org/gnome/shell/ui/tweener.js:207 (0x7f39680cf5e8 @ 159)

Comment 10 Michal Ambroz 2018-05-07 17:43:39 UTC
I have switched off all the extensions, even switched off the gnome-shell-extensions as such ... problem still persists even after restart of gnome-shell.
The problem manifests with each press of the Alt-Tab or Alt-` or Alt-Esc.

It doesn't happen with the clicking mouse from one window to another.
It dowsn't happen when clicking Activities and clicking a window from the thumbnails.

Comment 11 Soeren Grunewald 2018-05-08 12:53:14 UTC
Created attachment 1433199 [details]
Patch to stop spaming  the loglile

This patch does not solve the actual issue, but it stops spamming the logfile. The issues is already tracked upstream, so we don't gain any extra information from the log messages. But we hide other potential issues.

To stop spamming the logs, this patch removes the stacktrace and lowers the log level from critical to debug to the main sources for this messages.

Comment 12 Florijan Hamzic 2018-05-09 06:58:10 UTC
i have created some extensions in gnome-shell and also get a lot of those messages (also from other extension & even from base components):

Object St.Label (0x5592a0688810), has been already finalized. Impossible to set any property to it.
Object St.Label (0x5592a0688810), has been already finalized. Impossible to get any property from it.
Object St.Label (0x5592a0688810), has been already finalized. Impossible to set any property to it.
Object St.BoxLayout (0x559298c3e3e0), has been already finalized. Impossible to set any property to it.

i wonder why those warnings do appear, obviously they are trying to tell me that it is impossible to get/set those properties on these objects but my extensions behave as expected, the properties are read and set properly.

I can see that those messages only appear when i at least had opened & closed the extension menu once. My first try was that there are still "St" Objects which are not used anymore but the messages seems to be generated from the "St" Objects which are still used and displayed and therefore the property values are properly changed and "rendered" as expected.

IMHO the logging is not correctly implemented (w/o knowing the code) as there might by cleaned old objects but there are plenty of objects where this is not the case

Comment 13 aappddeevv 2018-05-16 12:46:33 UTC
I also get these. fc28 from an upgrade running wayland, if that matters. I also have full screen freezes that I think are related. Freezes last around 5-10 seconds.

Comment 14 Avi Kivity 2018-05-16 13:59:38 UTC
A copr with a forward-port of the f27 patch to stop spamming the log is in [1], if you're comfortable with installing random binaries from the Internet. It isn't perfect but helps a little.

[1] https://copr.fedorainfracloud.org/coprs/avik/misc/packages/

Comment 15 Audrey Yeena Toskin 2018-05-18 04:15:51 UTC
To be clear, are all these gjs tweener.js logs part of a performance issue, or is it just cluttering the system journal?

Comment 16 Avi Kivity 2018-05-18 06:47:39 UTC
I think they are, but am not sure. It's hard to correlate the logspam with the performance problem.

The patched version in gjs eliminates some of the performance problem, but this is a subjective measurement, not objective, so it may be completely wrong.

Comment 17 Devin Henderson 2018-05-19 18:26:52 UTC
It does seem to be a performance problem. I could be wrong but it seems like the error messages happen so quickly & in such a large number that it causes momentary freezes. I notice it particularly when I get a new notification in gnome. The messages flood the journal and X freezes for 1 or 2 seconds. On slower hardware I could see this being a really big issue if it freezes for any longer.

Comment 18 Avi Kivity 2018-05-31 17:15:09 UTC
The experience is truly terrible. Does anyone know which commit started it? I'll build a copr without it and test.

Comment 19 Louis Abel 2018-06-07 19:19:26 UTC
Is there any movement on this or has anyone figured out the commit/issue? This is still occurring on F28. A simple open and close of 'files' causes the stack traces.

Comment 20 Soeren Grunewald 2018-06-08 08:57:09 UTC
This issue will not be fix upstream! At least not on gjs side. For details see: https://gitlab.gnome.org/GNOME/gjs/issues/34

gjs claimS that this is an gnome-shell issue and should be fixed on gnome-shell  (https://gitlab.gnome.org/GNOME/gnome-shell/issues/1). But the issue has no update for about 4 month now.

To get rid of this, I would recommend to use the copr package [1] from Avi Kivity (by the way, thanks for providing it) or the patch from Ray Strode used in the package.

[1] https://copr.fedorainfracloud.org/coprs/avik/misc/packages/

Comment 21 Soeren Grunewald 2018-06-08 09:02:14 UTC
Here the link to the orginal patch from Ray https://gitlab.gnome.org/halfline/gjs/commit/0063daf8f05f96134d16d9cfab0deff37655b553

Comment 22 Andrea 2018-06-08 19:54:27 UTC
After a while my system is up, it becomes impossible to login into GNOME.
only single users are affected, but once it happens the only option (for that user to logon again) is a reboot.

Have already reinstalled F28 + removed all . files from home folders.

Could this be related to this issue?

I can see some occurrences in my journal, not at the level of it being a spam.

https://bugzilla.redhat.com/show_bug.cgi?id=1585491

Comment 23 andrea 2018-06-11 16:37:26 UTC
same problem for me. Thunderbird fail on sending email using startssl and gives the following error

Sending of the message failed.
The message could not be sent because the connection to Outgoing server (SMTP) smtpname was lost in the middle of the transaction. Try again.

on the journal logs I got:

giu 11 18:23:19 myfedora28.localdomain gnome-shell[2019]: Object Meta.WindowActor (0x55a22dc27f20), has been already finalized. Impossible to get any property from it.
giu 11 18:23:19 myfedora28.localdomain gnome-shell[2019]: Object Meta.WindowActor (0x55a22dc27f20), has been already finalized. Impossible to set any property to it.
giu 11 18:23:19 myfedora28.localdomain org.gnome.Shell.desktop[2019]: == Stack trace for context 0x55a2279c71c0 ==
giu 11 18:23:19 myfedora28.localdomain org.gnome.Shell.desktop[2019]: #0 0x7ffc195197d0 I   resource:///org/gnome/shell/ui/tweener.js:73 (0x7f7e481c7cd0 @ 9)
giu 11 18:23:19 myfedora28.localdomain org.gnome.Shell.desktop[2019]: #1 0x7ffc19519870 b   resource:///org/gnome/shell/ui/tweener.js:105 (0x7f7e481c7f78 @ 36)
giu 11 18:23:19 myfedora28.localdomain org.gnome.Shell.desktop[2019]: #2 0x7ffc195198b0 I   resource:///org/gnome/shell/ui/tweener.js:92 (0x7f7e481c7de0 @ 52)
giu 11 18:23:19 myfedora28.localdomain org.gnome.Shell.desktop[2019]: #3 0x7ffc1951a2d0 I   resource:///org/gnome/gjs/modules/tweener/tweener.js:208 (0x7f7e481d2918 @ 54)
giu 11 18:23:19 myfedora28.localdomain org.gnome.Shell.desktop[2019]: #4 0x7ffc1951a420 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:337 (0x7f7e481d29a0 @ 1626)
giu 11 18:23:19 myfedora28.localdomain org.gnome.Shell.desktop[2019]: #5 0x7ffc1951a4d0 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:350 (0x7f7e481d2a28 @ 100)
giu 11 18:23:19 myfedora28.localdomain org.gnome.Shell.desktop[2019]: #6 0x7ffc1951a560 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:365 (0x7f7e481d2ab0 @ 10)
giu 11 18:23:19 myfedora28.localdomain org.gnome.Shell.desktop[2019]: #7 0x7ffc1951a5e0 I   resource:///org/gnome/gjs/modules/signals.js:128 (0x7f7e481cff78 @ 386)
giu 11 18:23:19 myfedora28.localdomain org.gnome.Shell.desktop[2019]: #8 0x7ffc1951a630 I   resource:///org/gnome/shell/ui/tweener.js:207 (0x7f7e481cf5e8 @ 159)
giu 11 18:23:19 myfedora28.localdomain org.gnome.Shell.desktop[2019]: #9 0x7ffc1951a6a0 I   resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7f7e481b5de0 @ 71)
giu 11 18:23:19 myfedora28.localdomain org.gnome.Shell.desktop[2019]: #10 0x7ffc1951a6a0 I   resource:///org/gnome/shell/ui/tweener.js:182 (0x7f7e481cf560 @ 15)
giu 11 18:23:19 myfedora28.localdomain org.gnome.Shell.desktop[2019]: == Stack trace for context 0x55a2279c71c0 ==
giu 11 18:23:19 myfedora28.localdomain org.gnome.Shell.desktop[2019]: #0 0x7ffc195197d0 I   resource:///org/gnome/shell/ui/tweener.js:80 (0x7f7e481c7cd0 @ 82)
giu 11 18:23:19 myfedora28.localdomain org.gnome.Shell.desktop[2019]: #1 0x7ffc19519870 b   resource:///org/gnome/shell/ui/tweener.js:105 (0x7f7e481c7f78 @ 36)
giu 11 18:23:19 myfedora28.localdomain org.gnome.Shell.desktop[2019]: #2 0x7ffc195198b0 I   resource:///org/gnome/shell/ui/tweener.js:92 (0x7f7e481c7de0 @ 52)
giu 11 18:23:19 myfedora28.localdomain org.gnome.Shell.desktop[2019]: #3 0x7ffc1951a2d0 I   resource:///org/gnome/gjs/modules/tweener/tweener.js:208 (0x7f7e481d2918 @ 54)
giu 11 18:23:19 myfedora28.localdomain org.gnome.Shell.desktop[2019]: #4 0x7ffc1951a420 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:337 (0x7f7e481d29a0 @ 1626)
giu 11 18:23:19 myfedora28.localdomain org.gnome.Shell.desktop[2019]: #5 0x7ffc1951a4d0 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:350 (0x7f7e481d2a28 @ 100)
giu 11 18:23:19 myfedora28.localdomain org.gnome.Shell.desktop[2019]: #6 0x7ffc1951a560 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:365 (0x7f7e481d2ab0 @ 10)
giu 11 18:23:19 myfedora28.localdomain org.gnome.Shell.desktop[2019]: #7 0x7ffc1951a5e0 I   resource:///org/gnome/gjs/modules/signals.js:128 (0x7f7e481cff78 @ 386)
giu 11 18:23:19 myfedora28.localdomain org.gnome.Shell.desktop[2019]: #8 0x7ffc1951a630 I   resource:///org/gnome/shell/ui/tweener.js:207 (0x7f7e481cf5e8 @ 159)
giu 11 18:23:19 myfedora28.localdomain org.gnome.Shell.desktop[2019]: #9 0x7ffc1951a6a0 I   resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7f7e481b5de0 @ 71)
giu 11 18:23:19 myfedora28.localdomain org.gnome.Shell.desktop[2019]: #10 0x7ffc1951a6a0 I   resource:///org/gnome/shell/ui/tweener.js:182 (0x7f7e481cf560 @ 15)
giu 11 18:23:19 myfedora28.localdomain gnome-shell[2019]: Object Meta.WindowActor (0x55a22dc27b40), has been already finalized. Impossible to get any property from it.
giu 11 18:23:19 myfedora28.localdomain gnome-shell[2019]: Object Meta.WindowActor (0x55a22dc27b40), has been already finalized. Impossible to set any property to it.
giu 11 18:23:19 myfedora28.localdomain org.gnome.Shell.desktop[2019]: == Stack trace for context 0x55a2279c71c0 ==
giu 11 18:23:19 myfedora28.localdomain org.gnome.Shell.desktop[2019]: #0 0x7ffc195197d0 I   resource:///org/gnome/shell/ui/tweener.js:73 (0x7f7e481c7cd0 @ 9)
giu 11 18:23:19 myfedora28.localdomain org.gnome.Shell.desktop[2019]: #1 0x7ffc19519870 b   resource:///org/gnome/shell/ui/tweener.js:105 (0x7f7e481c7f78 @ 36)
giu 11 18:23:19 myfedora28.localdomain org.gnome.Shell.desktop[2019]: #2 0x7ffc195198b0 I   resource:///org/gnome/shell/ui/tweener.js:92 (0x7f7e481c7de0 @ 52)
giu 11 18:23:19 myfedora28.localdomain org.gnome.Shell.desktop[2019]: #3 0x7ffc1951a2d0 I   resource:///org/gnome/gjs/modules/tweener/tweener.js:208 (0x7f7e481d2918 @ 54)
giu 11 18:23:19 myfedora28.localdomain org.gnome.Shell.desktop[2019]: #4 0x7ffc1951a420 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:337 (0x7f7e481d29a0 @ 1626)
giu 11 18:23:19 myfedora28.localdomain org.gnome.Shell.desktop[2019]: #5 0x7ffc1951a4d0 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:350 (0x7f7e481d2a28 @ 100)
giu 11 18:23:19 myfedora28.localdomain org.gnome.Shell.desktop[2019]: #6 0x7ffc1951a560 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:365 (0x7f7e481d2ab0 @ 10)
giu 11 18:23:19 myfedora28.localdomain org.gnome.Shell.desktop[2019]: #7 0x7ffc1951a5e0 I   resource:///org/gnome/gjs/modules/signals.js:128 (0x7f7e481cff78 @ 386)
giu 11 18:23:19 myfedora28.localdomain org.gnome.Shell.desktop[2019]: #8 0x7ffc1951a630 I   resource:///org/gnome/shell/ui/tweener.js:207 (0x7f7e481cf5e8 @ 159)
giu 11 18:23:19 myfedora28.localdomain org.gnome.Shell.desktop[2019]: #9 0x7ffc1951a6a0 I   resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7f7e481b5de0 @ 71)
giu 11 18:23:19 myfedora28.localdomain org.gnome.Shell.desktop[2019]: #10 0x7ffc1951a6a0 I   resource:///org/gnome/shell/ui/tweener.js:182 (0x7f7e481cf560 @ 15)
giu 11 18:23:19 myfedora28.localdomain org.gnome.Shell.desktop[2019]: == Stack trace for context 0x55a2279c71c0 ==
giu 11 18:23:19 myfedora28.localdomain org.gnome.Shell.desktop[2019]: #0 0x7ffc195197d0 I   resource:///org/gnome/shell/ui/tweener.js:80 (0x7f7e481c7cd0 @ 82)
giu 11 18:23:19 myfedora28.localdomain org.gnome.Shell.desktop[2019]: #1 0x7ffc19519870 b   resource:///org/gnome/shell/ui/tweener.js:105 (0x7f7e481c7f78 @ 36)
giu 11 18:23:19 myfedora28.localdomain org.gnome.Shell.desktop[2019]: #2 0x7ffc195198b0 I   resource:///org/gnome/shell/ui/tweener.js:92 (0x7f7e481c7de0 @ 52)
giu 11 18:23:19 myfedora28.localdomain org.gnome.Shell.desktop[2019]: #3 0x7ffc1951a2d0 I   resource:///org/gnome/gjs/modules/tweener/tweener.js:208 (0x7f7e481d2918 @ 54)
giu 11 18:23:19 myfedora28.localdomain org.gnome.Shell.desktop[2019]: #4 0x7ffc1951a420 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:337 (0x7f7e481d29a0 @ 1626)
giu 11 18:23:19 myfedora28.localdomain org.gnome.Shell.desktop[2019]: #5 0x7ffc1951a4d0 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:350 (0x7f7e481d2a28 @ 100)
giu 11 18:23:19 myfedora28.localdomain org.gnome.Shell.desktop[2019]: #6 0x7ffc1951a560 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:365 (0x7f7e481d2ab0 @ 10)
giu 11 18:23:19 myfedora28.localdomain org.gnome.Shell.desktop[2019]: #7 0x7ffc1951a5e0 I   resource:///org/gnome/gjs/modules/signals.js:128 (0x7f7e481cff78 @ 386)
giu 11 18:23:19 myfedora28.localdomain org.gnome.Shell.desktop[2019]: #8 0x7ffc1951a630 I   resource:///org/gnome/shell/ui/tweener.js:207 (0x7f7e481cf5e8 @ 159)
giu 11 18:23:19 myfedora28.localdomain org.gnome.Shell.desktop[2019]: #9 0x7ffc1951a6a0 I   resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7f7e481b5de0 @ 71)
giu 11 18:23:19 myfedora28.localdomain org.gnome.Shell.desktop[2019]: #10 0x7ffc1951a6a0 I   resource:///org/gnome/shell/ui/tweener.js:182 (0x7f7e481cf560 @ 15)

Comment 24 andrea 2018-06-11 16:39:52 UTC
I'm using 
gjs-1.52.3-1.fc28.x86_64
gnome-shell-3.28.2-1.fc28.x86_64
gnome-shell-extension-background-logo-3.24.0-5.fc28.noarch
gnome-shell-extension-window-list-3.28.1-1.fc28.noarch
gnome-shell-extension-places-menu-3.28.1-1.fc28.noarch
gnome-shell-extension-alternate-tab-3.28.1-1.fc28.noarch
gnome-shell-extension-common-3.28.1-1.fc28.noarch
gnome-shell-extension-launch-new-instance-3.28.1-1.fc28.noarch
gnome-shell-extension-suspend-button-19-2.20171024gita812520.fc28.noarch
gnome-shell-extension-apps-menu-3.28.1-1.fc28.noarch

Fedora release 28 (Twenty Eight)

Comment 25 Edgar Hoch 2018-06-18 11:57:24 UTC
The problem was reported by several users and no solution since months?

Comment 26 Tore H. Larsen 2018-06-21 15:27:49 UTC
cc

Comment 27 Tore H. Larsen 2018-06-22 07:58:42 UTC
Also seeing journal riddled with

Jun 22 09:16:13 localhost.localdomain gnome-shell[8605]: Object Shell.GenericContainer (0x560bec725050), has been alread
y finalized. Impossible to get any property from it.
Jun 22 09:16:13 localhost.localdomain org.gnome.Shell.desktop[8605]: == Stack trace for context 0x560bdcc14020 ==
Jun 22 09:16:13 localhost.localdomain org.gnome.Shell.desktop[8605]: #0 0x7ffe7454a460 I   resource:///org/gnome/shell/u
i/tweener.js:73 (0x7f99ac5c7cd0 @ 9)
Jun 22 09:16:13 localhost.localdomain org.gnome.Shell.desktop[8605]: #1 0x7ffe7454a500 b   resource:///org/gnome/shell/u
i/tweener.js:105 (0x7f99ac5c7f78 @ 36)
Jun 22 09:16:13 localhost.localdomain org.gnome.Shell.desktop[8605]: #2 0x7ffe7454a5a0 b   resource:///org/gnome/shell/u
i/tweener.js:92 (0x7f99ac5c7de0 @ 52)
Jun 22 09:16:13 localhost.localdomain org.gnome.Shell.desktop[8605]: #3 0x7ffe7454b180 I   resource:///org/gnome/gjs/mod
ules/tweener/tweener.js:208 (0x7f99ac5d2918 @ 54)
Jun 22 09:16:13 localhost.localdomain org.gnome.Shell.desktop[8605]: #4 0x7ffe7454b2d0 b   resource:///org/gnome/gjs/mod
ules/tweener/tweener.js:337 (0x7f99ac5d29a0 @ 1626)
Jun 22 09:16:13 localhost.localdomain org.gnome.Shell.desktop[8605]: #5 0x7ffe7454b380 b   resource:///org/gnome/gjs/mod
ules/tweener/tweener.js:350 (0x7f99ac5d2a28 @ 100)
Jun 22 09:16:13 localhost.localdomain org.gnome.Shell.desktop[8605]: #6 0x7ffe7454b410 b   resource:///org/gnome/gjs/mod
ules/tweener/tweener.js:365 (0x7f99ac5d2ab0 @ 10)
Jun 22 09:16:13 localhost.localdomain org.gnome.Shell.desktop[8605]: #7 0x7ffe7454b490 I   resource:///org/gnome/gjs/mod
ules/signals.js:128 (0x7f99ac5cff78 @ 386)
Jun 22 09:16:13 localhost.localdomain org.gnome.Shell.desktop[8605]: #8 0x7ffe7454b540 b   resource:///org/gnome/shell/u
i/tweener.js:207 (0x7f99ac5cf5e8 @ 159)
Jun 22 09:16:13 localhost.localdomain org.gnome.Shell.desktop[8605]: #9 0x7ffe7454b5b0 I   resource:///org/gnome/gjs/mod
ules/_legacy.js:82 (0x7f99ac5b5de0 @ 71)
Jun 22 09:16:13 localhost.localdomain org.gnome.Shell.desktop[8605]: #10 0x7ffe7454b5b0 I   resource:///org/gnome/shell/
ui/tweener.js:182 (0x7f99ac5cf560 @ 15)

Related to the issue where I can't login with Mate desktop? Or is it different bug?

Comment 28 Avi Kivity 2018-07-07 21:33:58 UTC
A patch to gnome-shell from https://gitlab.gnome.org/GNOME/gnome-shell/merge_requests/4 appears to solve this. There is a backport in [1] now.

[1] https://copr.fedorainfracloud.org/coprs/avik/misc/packages/

Comment 29 Brian J. Murrell 2018-07-27 14:16:17 UTC
GNOME BZ external tracker should be changed to:

https://gitlab.gnome.org/GNOME/gnome-shell/merge_requests/4

Comment 30 Phea Duch 2018-08-17 19:19:57 UTC
I'm still seeing this in Fedora 29:

Aug 17 15:13:57 XPS.local org.gnome.Shell.desktop[2400]: == Stack trace for context 0x5558324200a0 ==
Aug 17 15:13:57 XPS.local org.gnome.Shell.desktop[2400]: #0 0x7ffdba9d0610 I   resource:///org/gnome/shell/ui/tweener.js:73 (0x7f1b384c8cd0 @ 9)
Aug 17 15:13:57 XPS.local org.gnome.Shell.desktop[2400]: #1 0x7ffdba9d06b0 b   resource:///org/gnome/shell/ui/tweener.js:105 (0x7f1b384c8f78 @ 36)
Aug 17 15:13:57 XPS.local org.gnome.Shell.desktop[2400]: #2 0x7ffdba9d0750 b   resource:///org/gnome/shell/ui/tweener.js:92 (0x7f1b384c8de0 @ 52)
Aug 17 15:13:57 XPS.local org.gnome.Shell.desktop[2400]: #3 0x7ffdba9d16c0 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:208 (0x7f1b384d2918 @ 54)
Aug 17 15:13:57 XPS.local org.gnome.Shell.desktop[2400]: #4 0x7ffdba9d1810 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:337 (0x7f1b384d29a0 @ 1626)
Aug 17 15:13:57 XPS.local org.gnome.Shell.desktop[2400]: #5 0x7ffdba9d18c0 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:350 (0x7f1b384d2a28 @ 100)
Aug 17 15:13:57 XPS.local org.gnome.Shell.desktop[2400]: #6 0x7ffdba9d1950 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:365 (0x7f1b384d2ab0 @ 10)
Aug 17 15:13:57 XPS.local org.gnome.Shell.desktop[2400]: #7 0x7ffdba9d19d0 I   resource:///org/gnome/gjs/modules/signals.js:128 (0x7f1b384cff78 @ 386)
Aug 17 15:13:57 XPS.local org.gnome.Shell.desktop[2400]: #8 0x7ffdba9d1a80 b   resource:///org/gnome/shell/ui/tweener.js:207 (0x7f1b384cf5e8 @ 159)
Aug 17 15:13:57 XPS.local org.gnome.Shell.desktop[2400]: #9 0x7ffdba9d1ae0 I   resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7f1b384b5de0 @ 71)
Aug 17 15:13:57 XPS.local org.gnome.Shell.desktop[2400]: #10 0x7ffdba9d1b80 b   resource:///org/gnome/shell/ui/tweener.js:182 (0x7f1b384cf560 @ 15)
Aug 17 15:13:57 XPS.local org.gnome.Shell.desktop[2400]: == Stack trace for context 0x5558324200a0 ==
Aug 17 15:13:57 XPS.local org.gnome.Shell.desktop[2400]: #0 0x7ffdba9d0610 I   resource:///org/gnome/shell/ui/tweener.js:80 (0x7f1b384c8cd0 @ 82)
Aug 17 15:13:57 XPS.local org.gnome.Shell.desktop[2400]: #1 0x7ffdba9d06b0 b   resource:///org/gnome/shell/ui/tweener.js:105 (0x7f1b384c8f78 @ 36)
Aug 17 15:13:57 XPS.local org.gnome.Shell.desktop[2400]: #2 0x7ffdba9d0750 b   resource:///org/gnome/shell/ui/tweener.js:92 (0x7f1b384c8de0 @ 52)
Aug 17 15:13:57 XPS.local org.gnome.Shell.desktop[2400]: #3 0x7ffdba9d16c0 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:208 (0x7f1b384d2918 @ 54)
Aug 17 15:13:57 XPS.local org.gnome.Shell.desktop[2400]: #4 0x7ffdba9d1810 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:337 (0x7f1b384d29a0 @ 1626)
Aug 17 15:13:57 XPS.local org.gnome.Shell.desktop[2400]: #5 0x7ffdba9d18c0 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:350 (0x7f1b384d2a28 @ 100)
Aug 17 15:13:57 XPS.local org.gnome.Shell.desktop[2400]: #6 0x7ffdba9d1950 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:365 (0x7f1b384d2ab0 @ 10)
Aug 17 15:13:57 XPS.local org.gnome.Shell.desktop[2400]: #7 0x7ffdba9d19d0 I   resource:///org/gnome/gjs/modules/signals.js:128 (0x7f1b384cff78 @ 386)
Aug 17 15:13:57 XPS.local org.gnome.Shell.desktop[2400]: #8 0x7ffdba9d1a80 b   resource:///org/gnome/shell/ui/tweener.js:207 (0x7f1b384cf5e8 @ 159)
Aug 17 15:13:57 XPS.local gnome-shell[2400]: Object Shell.GenericContainer (0x55583440b880), has been already finalized. Impossible to set any prop

gnome-shell-3.29.90-2.fc29
gjs-1.52.3-2.fc29

Comment 31 Gergely Gombos 2018-09-16 06:36:29 UTC
This bug is still present in F28, littering the system journal with error messages after each alt-tab.
https://pastebin.com/Cu9mLSaY

Comment 32 Jordan Pisaniello 2018-09-25 20:48:51 UTC
Can also confirm that this still appears to be present in Fedora 28 (kernel: 4.18.9-200.fc28).

This can be reproduced by:
* alt-tabbing to other active windows within a workspace
* super-tabbing to other active windows within a worksapce
* either using keyboard shortcuts / touchpad gesture to switch workspaces


gjs 1.52.3-1.fc28
gnome-shell.3.28.3-1.fc28

Comment 33 Edgar Hoch 2018-09-25 21:19:42 UTC
It's a real drama with GNOME since years!

Nearly every GNOME bug that I have reported or joined to in the last years was not solved in that Fedora release. It was fixed at the earliest in the next Gnome version, which was delivered with the next Fedora version. Most of the time I didn't even get a response nor a solution to my GNOME bug reports, neither here in RHBZ nor in GNOME bugzilla. It may be specific to my bug reports - but I think it is not, because some of these bug reports have many comments and many users on cc: list.

It seams that GNOME people did release a version to the world, then work on the next version and don't fix problems in current versions and release updates to current versions. I don't know...

I write this because I think Fedora and GNOME people should think about this problem in general. I wrote bug reports to other Fedora problems too - on some I got a fast responce and a solution with updates packages - some maintainers are excellent! Thank you for that!

But GNOME should also get updates, at least fixes for bug, in a reasonable (short) time within the Fedora release it occurs. It needs quality management?

If GNOME people have not the time to fix problems, then I think it would be better that they stop working on new versions with new features but first make the current version stable and error-free!

Comment 34 Jens Petersen 2018-09-27 03:51:07 UTC
70 people following this bug now...

Comment 35 Jens Petersen 2018-09-27 04:52:28 UTC
Apparently this is fixed upsteam according to the comments in
https://gitlab.gnome.org/GNOME/gnome-shell/issues/11 .

Dunno if it could be backported or not?

Comment 37 Troels Arvin 2018-11-05 08:23:41 UTC
I don't see the stack traces after upgrading to Fedora 29 (which has gjs 1.54.2 and gnome-shell 3.30.1).

Comment 38 Jens Petersen 2018-11-05 08:50:49 UTC
(In reply to Troels Arvin from comment #37)
> I don't see the stack traces after upgrading to Fedora 29 (which has gjs
> 1.54.2 and gnome-shell 3.30.1).

Correct I believe this was fixed upstream for 3.30.

Comment 39 RobbieTheK 2018-11-08 16:19:52 UTC
Any ETA on a backport to Fedora 28?

Comment 40 Christian Stadelmann 2018-11-13 21:41:28 UTC
(In reply to RobbieTheK from comment #39)
> Any ETA on a backport to Fedora 28?

Don't expect this to happen. You may try so yourself or just upgrade to a newer version of the GNOME stack by upgrading to Fedora 29.

Comment 41 Ben Cotton 2019-05-02 19:41:14 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 42 Ben Cotton 2019-05-28 19:24:55 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.